function [Y, R, E] = IsomapMBox(dir, k)
%%This function computes the isomap for the images in which the two arms
%rotate in order to move the box horizontly.
% dir = The directory where the images are placed
% k = The required variable in computation of isomap
%%

if nargin < 1
    dir = 'box4';
end
if nargin < 2
    k = 7;
end

[data,names] = loadImageData(dir);
D = L2_distance(data,data,1);
%D1 = tangent_d(data,data,1);
%D1
%size(D1)

dims = 10;
[Y, R, E] = Isomap(D,'k',k,dims);
%[L, R , M] = Isomap(D1,'k',k,dims);